
Core - Task # 36025

Status: Resolved Priority: Must have
Author: Christian Kuhn Category: Default
Created: 2012-04-14 Assigned To:
Updated: 2012-09-23 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity: medium
Sprint Focus:
Subject: Make simulatestatic TER ready
Description

With #25099 EXT:simulatestatic was removed from the core. The extension was probably roughly working at this point, but tied to core
code and unmaintained.
At least these tasks should be done before 6.0 release:
    -  Find someone who wants to maintain the extension
    -  Add documentation to simulate static
    -  Test it
    -  Maybe we need a hook in the core to resurrect the functionality
    -  Maybe create a core upgrade wizard that loads the extension from TER if it is installed when upgrading
    -  Release to TER
    -  Add / finish NEWS.txt entry

If we do not manage to get a working TER release of simulate static ready, we will revert the removal patch.

Related issues:
related to Core - Task # 25099: simulate static methods of tslib_fe are depre... Resolved 2011-02-19
related to Core - Bug # 60867: simulatestatic + tt_news + config.simulateStat... Closed 2014-08-09
related to Core - Bug # 56848: Remove deprecated modifyPageId hook Resolved 2014-03-12
blocked by Core - Task # 39889: Add upgrade wizard to install extensions from... Resolved 2012-08-17

Associated revisions
Revision bca52213 - 2012-09-22 18:35 - Kai Vogel

[TASK] Add upgrade wizard to install extensions from TER

This patch replaces the two upgrade wizards to install new or
outsourced system extensions. It combines both and allows you
to install extensions from the TYPO3 Extension Repository (TER).

Change-Id: I4d4ecd45afffe8b995f663d16ce3db511681d56a
Resolves: #39889
Related: #36025
Releases: 6.0
Reviewed-on: http://review.typo3.org/13863
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
Revision 536cadd3 - 2012-09-23 00:36 - Markus Klein

[TASK] Insert hook for simulatestatic

Resolves: #36025
Releases: 6.0
Change-Id: I5d88626a6062ccdc69eb389664ced529a72d2f7b
Reviewed-on: http://review.typo3.org/10452
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-04-14 11:57 - Markus Klein

I will push a patch which inserts the necessary hook.
Furthermore I'll put the simulate static extension here.

#2 - 2012-04-14 12:18 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10452

#3 - 2012-04-14 12:18 - Markus Klein
- File T3X_simulatestatic-2_0_0-z-201204141215.t3x added

#4 - 2012-05-05 19:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10452

#5 - 2012-05-05 20:02 - Markus Klein
- File T3X_simulatestatic-2_0_0-z-201205052001.t3x added

New version of extension for patch set 2.

#6 - 2012-09-21 13:26 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10452
#7 - 2012-09-21 13:36 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10452

#8 - 2012-09-21 14:40 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10452

#9 - 2012-09-21 22:23 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10452

#10 - 2012-09-21 22:28 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10452

#11 - 2012-09-22 13:51 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10452

#12 - 2012-09-22 17:19 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10452

#13 - 2012-09-22 19:39 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10452

#14 - 2012-09-23 01:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:536cadd35a5fa18203c33e263c2a12af7b0bbfb1.

Files
T3X_simulatestatic-2_0_0-z-201204141215.t3x 6.5 kB 2012-04-14 Markus Klein
T3X_simulatestatic-2_0_0-z-201205052001.t3x 6.5 kB 2012-05-05 Markus Klein
